#ifndef __DISTORTION_OPENGL_H__
#define __DISTORTION_OPENGL_H__

void printMatrix( std::string mt, GLenum mm );

/*!
*/
void glErrorCheck();

/*!
*/
float dtor( float degrees );

/*!
*/
float rtod( float radians );

/*!
*/
void beginDistortionState();

/*!
*/
void endDistortionState();

/*!
*/
void drawDome( float fovLeft, float fovRight, float fovBottom, float fovTop, float extra, float radius );

/*!
*/
void loadTextureProjection( float cameraOffset[ 3 ], float camAnglePitch, float camAngleYaw,
                            float eyeOffset[ 3 ], float eyeAngle,
                            float fovy, float aspect );

/*!
*/
void drawTextureProjection( float ffar, float nnear, float ddistance,
                            float xmin, float xmax,
                            float ymin, float ymax );

/*!
*/
void axes();

#endif // __DISTORTION_OPENGL_H__ 